Identity, people & notifications
Get Filter Field Options
Returns distinct values with counts for country, department, payrollGroup or positionID among external employees.
GEThttps://api.toku.com/platform/get-filter-field-options
Required scope: integrations:read
curl --request GET \
--url 'https://api.toku.com/platform/get-filter-field-options?fieldKey=%3CfieldKey%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"fieldKey": "string",
"options": [
{
"value": "string",
"label": "string",
"count": 0
}
],
"totalCount": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
fieldKeystringrequiredsearchstringlimitnumberAllowed: 1 to 1000
Default: 100
Response
200Successful response
fieldKeystringrequiredoptionsobject[]requiredShow child attributes
valuestringrequiredlabelstringrequiredcountnumbertotalCountnumberrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits